Index: palm/trunk/UTIL/inifor/tests/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/util.f90	(revision 2696)
+++ palm/trunk/UTIL/inifor/tests/util.f90	(revision 2696)
@@ -0,0 +1,129 @@
+!> @file tests/util.f90
+!------------------------------------------------------------------------------!
+! This file is part of PALM/PALM-4U.
+!
+! PALM/PALM-4U is free software: you can redistribute it and/or modify it under 
+! the terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later 
+! version.
+!
+! PALM/PALM-4U is distributed in the hope that it will be useful, but WITHOUT 
+! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+! FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 2017-2017 Leibniz Universitaet Hannover, Deutscher Wetterdienst
+! Offenbach
+!------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+! Initial revision
+!
+! 
+!
+! Authors:
+! --------
+! @author Eckhard Kadasch
+!
+! Description:
+! ------------
+!> This module provides utiliy functions used in all test programs.
+!------------------------------------------------------------------------------!
+ MODULE test_utils
+ 
+    IMPLICIT NONE
+
+ CONTAINS
+
+    SUBROUTINE begin_test(title, res)
+       CHARACTER(LEN=*), INTENT(IN) ::  title
+       LOGICAL, INTENT(OUT)         ::  res
+
+       res = .TRUE.
+
+       PRINT '(/A)',       "******************************************************"
+       PRINT '(A, A, A)',  " [  ]  Test '", TRIM(title), "' started."
+       PRINT '(A/)',       "******************************************************"
+    END SUBROUTINE begin_test
+
+    SUBROUTINE end_test(title, res)
+       CHARACTER(LEN=*), INTENT(IN) ::  title
+       CHARACTER(LEN=30)            ::  msg, label
+       LOGICAL, INTENT(IN)          ::  res
+
+
+       IF (res .EQV. .TRUE.)  THEN
+          msg = 'completed successfully.'
+          label = ' [OK]'
+       ELSE
+          msg = 'failed.'
+          label = ' [XX]'
+       END IF
+
+       PRINT '(/A, A, A, A)', TRIM(label) // "  Test '", TRIM(title), "' ", TRIM(msg)
+       PRINT '(A/)',       "******************************************************"
+
+    END SUBROUTINE end_test
+
+    LOGICAL FUNCTION assert_equal(a, b, msg)
+       REAL, DIMENSION(:), INTENT(IN) ::  a, b
+       CHARACTER(LEN=*), INTENT(IN)   :: msg
+
+       assert_equal = assert(a, b, 'eq')
+       IF (assert_equal .eqv. .TRUE.)  THEN
+           PRINT *, "Equality assertion for ", msg, " was successful."
+       ELSE 
+           PRINT *, "Equality assertion for ", msg, " failed. Maximum error is ",               &
+              MAXVAL( ABS( a - b))
+       END IF
+
+    END FUNCTION assert_equal
+
+    LOGICAL FUNCTION assert(a, b, mode, eps)
+
+       REAL, DIMENSION(:), INTENT(IN) ::  a, b
+       REAL, OPTIONAL, INTENT(IN)     ::  eps
+       CHARACTER(LEN=*), INTENT(IN)   ::  mode
+
+       REAL    ::  diff, mag, max_rel_diff
+       INTEGER ::  i
+
+       max_rel_diff = 10 * EPSILON(1.0)
+       IF (PRESENT(eps)) max_rel_diff = eps
+
+       SELECT CASE( TRIM(mode) )
+
+       ! This case is inspired by
+       ! https://randomascii.wordpress.com/2012/02/25/comparing-floating-point-numbers-2012-edition/
+       CASE('eq')
+          IF ( ALL(a(:) == b(:)) )  THEN
+             PRINT *, "Checking for exact equality"
+             assert = .TRUE.
+          ELSE
+             assert = .TRUE.
+             PRINT *, "Checking for near equality"
+             DO i = 1, SIZE(a)
+                diff   = ABS(a(i) - b(i)) 
+                mag    = MAX( ABS(a(i)), ABS(b(i)) )
+                assert = assert .AND. (diff < mag * max_rel_diff )
+             END DO
+          END IF 
+
+       CASE DEFAULT
+          PRINT *, " Error: Assert mode ", mode, " not implemented. Stopping."
+          STOP
+
+       END SELECT
+    
+    END FUNCTION assert
+
+ END MODULE test_utils
+
Index: palm/trunk/UTIL/interpret_config.f90
===================================================================
--- palm/trunk/UTIL/interpret_config.f90	(revision 2693)
+++ palm/trunk/UTIL/interpret_config.f90	(revision 2696)
@@ -1,10 +1,11 @@
  PROGRAM interpret_config
 
-!--------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms
-! of the GNU General Public License as published by the Free Software Foundation,
-! either version 3 of the License, or (at your option) any later version.
+!------------------------------------------------------------------------------!
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
+! version.
 !
 ! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
@@ -15,6 +16,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014  Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+! Copyright 1997-2017  Leibniz Universitaet Hannover
+!------------------------------------------------------------------------------!
 !
 ! Current revisions:
Index: palm/trunk/UTIL/read_palm_netcdf_data.f90
===================================================================
--- palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 2693)
+++ palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 2696)
@@ -1,10 +1,11 @@
  PROGRAM read_palm_netcdf_data
 
-!--------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms
-! of the GNU General Public License as published by the Free Software Foundation,
-! either version 3 of the License, or (at your option) any later version.
+!------------------------------------------------------------------------------!
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
+! version.
 !
 ! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
@@ -15,6 +16,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014  Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+! Copyright 1997-2017  Leibniz Universitaet Hannover
+!------------------------------------------------------------------------------!
 !
 ! Current revisions:
Index: palm/trunk/UTIL/read_prt_data.f90
===================================================================
--- palm/trunk/UTIL/read_prt_data.f90	(revision 2693)
+++ palm/trunk/UTIL/read_prt_data.f90	(revision 2696)
@@ -1,9 +1,10 @@
  PROGRAM read_prt_data
-!--------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms
-! of the GNU General Public License as published by the Free Software Foundation,
-! either version 3 of the License, or (at your option) any later version.
+!------------------------------------------------------------------------------!
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the
+! terms of the GNU General Public License as published by the Free Software
+! Foundation, either version 3 of the License, or (at your option) any later
+! version.
 !
 ! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
@@ -14,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014  Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+! Copyright 1997-2017  Leibniz Universitaet Hannover
+!------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -37,5 +38,5 @@
 ! analysis. Compile and execute this program in the folder where your particle 
 ! data (_000000, _000001, ...) is stored.
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     IMPLICIT NONE
